function CollectMePanel_OnLoad (panel)
    panel.name = "Collect Me";
    InterfaceOptions_AddCategory(panel);
end

function CollectMePanelFilter_OnLoad (panel)
    panel.name = "Filters";
    panel.parent = "Collect Me";
    InterfaceOptions_AddCategory(panel);
end 

function CollectMePanelFilter_OnLoad (panel)
    panel.name = "Filters";
    panel.parent = "Collect Me";
    InterfaceOptions_AddCategory(panel);
end 

function CollectMePanelFilter_OnShow ()
    if (CollectMeSavedVars.Filters == nil) then
        CollectMeSavedVars.Filters = { };
    end
    getglobal(this:GetName().."CheckButton1"):SetChecked(CollectMeSavedVars.Filters["ComNlo"]);
    getglobal(this:GetName().."CheckButton2"):SetChecked(CollectMeSavedVars.Filters["ComChi"]);
    getglobal(this:GetName().."CheckButton3"):SetChecked(CollectMeSavedVars.Filters["ComTcg"]);
    getglobal(this:GetName().."CheckButton4"):SetChecked(CollectMeSavedVars.Filters["ComPvp"]);
    getglobal(this:GetName().."CheckButton5"):SetChecked(CollectMeSavedVars.Filters["MouNlo"]);
    getglobal(this:GetName().."CheckButton6"):SetChecked(CollectMeSavedVars.Filters["MouPvp"]);
    getglobal(this:GetName().."CheckButton7"):SetChecked(CollectMeSavedVars.Filters["MouTcg"]);
    getglobal(this:GetName().."CheckButton8"):SetChecked(CollectMeSavedVars.Filters["ComCol"]);
end

function CollectMePanelFilterOption_OnClick (id, update)
    CollectMeSavedVars.Filters[id] = this:GetChecked();

    PanelTemplates_SetTab(CollectMeFrame, update);
    if(update == COLLECTME_CRITTER) then
        CollectMe_InitCompanionTable();
    else
        CollectMe_InitMountTable();
    end;    
    CollectMe_Update(update);
end

function CollectMePanelRndCom_OnLoad (panel)
--    panel.name = "Random Companion";
--    panel.parent = "Collect Me";
--    InterfaceOptions_AddCategory(panel);
end 

function CollectMePanelRndCom_OnShow (self)
    local sliders = { };
    local xOffset = 20;
    local yOffset = -20;
    local relativeTo = self;
    for i=1, GetNumCompanions("CRITTER") do
        local creatureID, creatureName, spellID = GetCompanionInfo("CRITTER", i);
        sliders[i] = CreateFrame('Slider', 'CollectMeSlider'..creatureID , self, 'CollectMeSliderTemplate');
        getglobal(sliders[i]:GetName().."Text"):SetText(creatureName);
        sliders[i]:SetPoint("TOPLEFT", relativeTo, xOffset, 0);
        relativeTo = sliders[i]:GetName();
        if((i % 3) == 0) then
            yOffset = yOffset -30;
        end
        sliders[i]:Show();
    end
    -- local MySlider = CreateFrame('Slider', 'MySliderGlobalName', self, 'CollectMeSliderTemplate');
end 